<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fr" xml:lang="fr"><head><!--
        XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
              This file is generated from xml source: DO NOT EDIT
        XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
      -->
<title>mod_sed - Serveur Apache HTTP</title>
<link href="../style/css/manual.css" rel="stylesheet" media="all" type="text/css" title="Main stylesheet" />
<link href="../style/css/manual-loose-100pc.css" rel="alternate stylesheet" media="all" type="text/css" title="No Sidebar - Default font size" />
<link href="../style/css/manual-print.css" rel="stylesheet" media="print" type="text/css" />
<link href="../images/favicon.ico" rel="shortcut icon" /></head>
<body>
<div id="page-header">
<p class="menu"><a href="../mod/">Modules</a> | <a href="../mod/directives.html">Directives</a> | <a href="../faq/">FAQ</a> | <a href="../glossary.html">Glossaire</a> | <a href="../sitemap.html">Plan du site</a></p>
<p class="apache">Serveur Apache HTTP Version 2.4</p>
<img alt="" src="../images/feather.gif" /></div>
<div class="up"><a href="./"><img title="&lt;-" alt="&lt;-" src="../images/left.gif" /></a></div>
<div id="path">
<a href="http://www.apache.org/">Apache</a> &gt; <a href="http://httpd.apache.org/">Serveur HTTP</a> &gt; <a href="http://httpd.apache.org/docs/">Documentation</a> &gt; <a href="../">Version 2.4</a> &gt; <a href="./">Modules</a></div>
<div id="page-content">
<div id="preamble"><h1>Module Apache mod_sed</h1>
<div class="toplang">
<p><span>Langues Disponibles: </span><a href="../en/mod/mod_sed.html" hreflang="en" rel="alternate" title="English">&nbsp;en&nbsp;</a> |
<a href="../fr/mod/mod_sed.html" title="Franais">&nbsp;fr&nbsp;</a></p>
</div>
<table class="module"><tr><th><a href="module-dict.html#Description">Description:</a></th><td>Filtre les contenus en entre (requtes) et en sortie
(rponses) en utilisant la syntaxe de <code>sed</code></td></tr>
<tr><th><a href="module-dict.html#Status">Statut:</a></th><td /></tr>
<tr><th><a href="module-dict.html#ModuleIdentifier">IdentificateurdeModule:</a></th><td>sed_module</td></tr>
<tr><th><a href="module-dict.html#SourceFile">FichierSource:</a></th><td>mod_sed.c sed0.c sed1.c regexp.c regexp.h sed.h</td></tr>
<tr><th><a href="module-dict.html#Compatibility">Compatibilit:</a></th><td>Disponible depuis la version 2.3 d'Apache</td></tr></table>
<h3>Sommaire</h3>

<p><code class="module"><a href="../mod/mod_sed.html">mod_sed</a></code> est un filtre de contenu "in-process". Le
filtre <code class="module"><a href="../mod/mod_sed.html">mod_sed</a></code> fournit les commandes d'dition de
<code>sed</code> implmentes par le programme <code>sed</code> de
Solaris 10 comme dcrit dans la <a href="http://docs.sun.com/app/docs/doc/816-5165/sed-1b?a=view">page de
manuel</a>. Cependant,  la diffrence de <code>sed</code>,
<code class="module"><a href="../mod/mod_sed.html">mod_sed</a></code> ne reoit pas de donnes sur son entre
standard. Au lieu de cela, le filtre agit sur les donnes changes
entre le client et le serveur. <code class="module"><a href="../mod/mod_sed.html">mod_sed</a></code> peut tre
utilis comme filtre en entre ou en sortie. <code class="module"><a href="../mod/mod_sed.html">mod_sed</a></code>
est un filtre de contenu, ce qui signifie qu'on ne peut pas l'utiliser
pour modifier les en-ttes http du client ou du serveur.
</p>
<p>
Le filtre en sortie <code class="module"><a href="../mod/mod_sed.html">mod_sed</a></code> accepte un tronon de
donnes, excute le script <code>sed</code> sur ces donnes, puis gnre
une sortie qui est transmise au filtre suivant dans la chane.
</p>

<p>
Le filtre en entre <code class="module"><a href="../mod/mod_sed.html">mod_sed</a></code> reoit des donnes en
provenance du filtre suivant dans la chane, excute les scripts
<code>sed</code>, et renvoie les donnes gnres au filtre appelant
dans la chane de filtrage.
</p>

<p>
Les filtres en entre ou en sortie ne traitent les donnes que si des
caractres newline sont dtects dans le contenu  filtrer. A la fin des
donnes, ce qui reste est trait comme la dernire ligne.
</p>

<p>Vous trouverez sur le <a href="http://blogs.sun.com/basant/entry/using_mod_sed_to_filter">blog de
l'auteur</a> un article en forme de tutoriel, ainsi que les raisons pour
lesquelles ce filtre est plus puissant qu'une simple
recherche/remplacement de chane ou d'expression rationnelle.</p>

</div>
<div id="quickview"><h3 class="directives">Directives</h3>
<ul id="toc">
<li><img alt="" src="../images/down.gif" /> <a href="#inputsed">InputSed</a></li>
<li><img alt="" src="../images/down.gif" /> <a href="#outputsed">OutputSed</a></li>
</ul>
<h3>Sujets</h3>
<ul id="topics">
<li><img alt="" src="../images/down.gif" /> <a href="#sampleconf">Exemple de configuration</a></li>
<li><img alt="" src="../images/down.gif" /> <a href="#sed_commands">Commandes sed</a></li>
</ul></div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="sampleconf" id="sampleconf">Exemple de configuration</a></h2>
    <div class="example"><h3>Ajout d'un filtre en sortie</h3><p><code>
         # Dans l'exemple suivant, le filtre sed va remplacer la chane
	 # "monday" par "MON" et la chane "sunday" par "SUN" dans les
	 # documents html avant de les envoyer au client.<br />
        <span class="indent">
        &lt;Directory "/var/www/docs/sed"&gt; <br />
           <span class="indent">
           AddOutputFilter Sed html <br />
           OutputSed "s/monday/MON/g" <br />
           OutputSed "s/sunday/SUN/g" <br />
           </span>
        &lt;/Directory&gt; <br />
        </span>
    </code></p></div>

    <div class="example"><h3>Ajout d'un filtre en entre</h3><p><code>
         # Dans l'exemple suivant, le filtre sed va remplacer la chane
	 # "monday" par "MON" et la chane "sunday" par "SUN" dans les
	 # donnes POST envoyes  PHP.<br />
        <span class="indent">
        &lt;Directory "/var/www/docs/sed"&gt; <br />
           <span class="indent">
           AddInputFilter Sed php <br />
           InputSed "s/monday/MON/g" <br />
           InputSed "s/sunday/SUN/g" <br />
           </span>
        &lt;/Directory&gt; <br />
        </span>
    </code></p></div>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="sed_commands" id="sed_commands">Commandes sed</a></h2>
    <p>
    Vous trouverez tous les dtails  propos de la commande
    <code>sed</code> dans sa <a href="http://docs.sun.com/app/docs/doc/816-5165/sed-1b?a=view">page
    de manuel</a>.
    </p>
    <dl>
        <dt><code>b</code></dt>
        <dd>Saut vers le label spcifi (similaire  goto).</dd>
        <dt><code>h</code></dt>
        <dd>Copie la ligne courante dans le tampon.</dd>
        <dt><code>H</code></dt>
        <dd>Ajoute la ligne courante au tampon.</dd>
        <dt><code>g</code></dt>
        <dd>Copie le contenu du tampon dans la ligne courante.</dd>
        <dt><code>G</code></dt>
        <dd>Ajoute le contenu du tampon  la ligne courante.</dd>
        <dt><code>x</code></dt>
        <dd>Echange les contenus du tampon et de la ligne courante.</dd>
    </dl>
</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="InputSed" id="InputSed">InputSed</a> <a name="inputsed" id="inputsed">Directive</a></h2>
<table class="directive">
<tr><th><a href="directive-dict.html#Description">Description:</a></th><td>Commande sed  excuter pour le filtrage des donnes d'une
requte (en gnral des donnes <code>POST</code>)</td></tr>
<tr><th><a href="directive-dict.html#Syntax">Syntaxe:</a></th><td><code>InputSed <var>commande-sed</var></code></td></tr>
<tr><th><a href="directive-dict.html#Context">Contexte:</a></th><td>rpertoire, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Status">Statut:</a></th><td /></tr>
<tr><th><a href="directive-dict.html#Module">Module:</a></th><td>mod_sed</td></tr>
</table>
    <p>La directive <code class="directive">InputSed</code> permet de spcifier
    la commande sed  excuter pour le filtrage des donnes (en gnral
    des donnes <code>POST</code>) d'une requte.
    </p>

</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="OutputSed" id="OutputSed">OutputSed</a> <a name="outputsed" id="outputsed">Directive</a></h2>
<table class="directive">
<tr><th><a href="directive-dict.html#Description">Description:</a></th><td>Commande sed pour le filtrage des contenus de type
rponse</td></tr>
<tr><th><a href="directive-dict.html#Syntax">Syntaxe:</a></th><td><code>OutputSed <var>commande-sed</var></code></td></tr>
<tr><th><a href="directive-dict.html#Context">Contexte:</a></th><td>rpertoire, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Status">Statut:</a></th><td /></tr>
<tr><th><a href="directive-dict.html#Module">Module:</a></th><td>mod_sed</td></tr>
</table>
    <p>La directive <code class="directive">OutputSed</code> permet de spcifier
    la commande <code>sed</code>  excuter dans le cadre du traitement
    d'une rponse.
    </p>

</div>
</div>
<div class="bottomlang">
<p><span>Langues Disponibles: </span><a href="../en/mod/mod_sed.html" hreflang="en" rel="alternate" title="English">&nbsp;en&nbsp;</a> |
<a href="../fr/mod/mod_sed.html" title="Franais">&nbsp;fr&nbsp;</a></p>
</div><div id="footer">
<p class="apache">Copyright 2012 The Apache Software Foundation.<br />Autoris sous <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache License, Version 2.0</a>.</p>
<p class="menu"><a href="../mod/">Modules</a> | <a href="../mod/directives.html">Directives</a> | <a href="../faq/">FAQ</a> | <a href="../glossary.html">Glossaire</a> | <a href="../sitemap.html">Plan du site</a></p></div>
</body></html>